Put a media under tracking
curl --request POST \
--url https://api.clipstake.com/v1/tracked-media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"shortcode": "<string>"
}
'import requests
url = "https://api.clipstake.com/v1/tracked-media"
payload = {
"username": "<string>",
"shortcode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', shortcode: '<string>'})
};
fetch('https://api.clipstake.com/v1/tracked-media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "acme.studio",
"external_user_id": "customer_8f3a2c19",
"media_id": "18062712345678901",
"shortcode": "C9x4AbCdEfG",
"permalink": "https://www.instagram.com/reel/C9x4AbCdEfG/",
"media_product_type": "REELS",
"posted_at": "2026-09-10T14:22:00.000Z",
"status": "active",
"next_read_at": "2026-09-14T14:00:00.000Z",
"unavailable_reason": null,
"latest": {
"views": 128450,
"reach": 96720,
"likes": 8140,
"comments": 326,
"shares": 1190,
"saves": 2480,
"total_interactions": 12136
},
"latest_captured_at": "2026-09-14T10:00:00.000Z",
"created_at": "2026-09-10T14:25:43.000Z"
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "forbidden",
"message": "This API key does not have access to this resource.",
"request_id": "req_01K5A7Q3NB6D8F2H4V9T"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Tracked media
Put a media under tracking
POST
/
tracked-media
Put a media under tracking
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Available options:
active, paused, unavailable, parked, stopped Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$